Results 1 to 5 of 5

Thread: What version of Xcode for MacOS 10.6.8

  1. #1
    Join Date
    Aug 2009
    Posts
    122
    Thanks
    74
    Qt products
    Qt4
    Platforms
    Windows

    Question What version of Xcode for MacOS 10.6.8

    I have statically compiled Qt latest version on MacOS 10.6.8. The Xcode version is 4.2. Upgrading Xcode to 4.4 does not work since this for MacOS 10.7.

    I cannot compile my programs and I think it is the Xcode that is the problem since qmake works fine.
    When I do

    qmake -project
    qmake
    make
    I get this

    >>g++ -c -pipe -g -arch x86_64 -Xarch_x86_64 -mmacosx-version-min=10.5
    >>-Wall
    >>-W -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
    >>-I/usr/local/Trolltech/Qt-4.7.2/mkspecs/macx-g++ -I.
    >>-I/usr/local/Trolltech/Qt-4.7.2/lib/QtCore.framework/Versions/4/Headers
    >>-I/usr/local/Trolltech/Qt-4.7.2/include/QtCore
    >>-I/usr/local/Trolltech/Qt-4.7.2/lib/QtGui.framework/Versions/4/Headers
    >>-I/usr/local/Trolltech/Qt-4.7.2/include/QtGui
    >>-I/usr/local/Trolltech/Qt-4.7.2/include -I. -I.
    >>-F/usr/local/Trolltech/Qt-4.7.2/lib -o main.o main.cpp
    >>g++ -headerpad_max_install_names -arch x86_64 -Xarch_x86_64
    >>-mmacosx-version-min=10.5 -o permucorr.app/Contents/MacOS/permucorr
    >>main.o
    >>-F/usr/local/Trolltech/Qt-4.7.2/lib -L/usr/local/Trolltech/Qt-4.7.2/lib
    >>-framework QtGui -L/usr/local/Trolltech/Qt-4.7.2/lib
    >>-F/usr/local/Trolltech/Qt-4.7.2/lib -framework QtCore
    What could be happening? Is "make" the one to use with Mac? Is it possible I have some Xcode conflict somewhere.

  2. #2
    Join Date
    Aug 2008
    Location
    Ukraine, Krivoy Rog
    Posts
    1,963
    Thanked 370 Times in 336 Posts
    Qt products
    Qt3 Qt4 Qt5
    Platforms
    MacOS X Unix/X11 Windows

    Default Re: What version of Xcode for MacOS 10.6.8

    It doesn't look like error output.
    Qt Assistant -- rocks!
    please, use tags [CODE] & [/CODE].

  3. #3
    Join Date
    Aug 2009
    Posts
    122
    Thanks
    74
    Qt products
    Qt4
    Platforms
    Windows

    Default Re: What version of Xcode for MacOS 10.6.8

    Thanks.

    It doesn't look like error, I agree. But the *.app generated won't execute no matter which of the below line I use.

    open myprogram.app
    open -a myprogram
    Even when I use it with "sudo" or do "chmod 0775 myprogram.app" it still won't execute
    The error message is this:

    LSOpenURLsWithRole() failed with error -10810 for the file
    /Users/mymac/Desktop/myprogram/myprogram.app.
    What does it mean, why doesn't it run (I know the code is good)?
    Thanks for help!

  4. #4
    Join Date
    Aug 2008
    Location
    Ukraine, Krivoy Rog
    Posts
    1,963
    Thanked 370 Times in 336 Posts
    Qt products
    Qt3 Qt4 Qt5
    Platforms
    MacOS X Unix/X11 Windows

    Default Re: What version of Xcode for MacOS 10.6.8

    Can you navigate in the terminal into myprogram.app/Contents/MacOS and run myprogram?
    What will you get in the terminal after running?
    Qt Assistant -- rocks!
    please, use tags [CODE] & [/CODE].

  5. The following user says thank you to spirit for this useful post:

    timmu (10th August 2012)

  6. #5
    Join Date
    Aug 2009
    Posts
    122
    Thanks
    74
    Qt products
    Qt4
    Platforms
    Windows

    Default Re: What version of Xcode for MacOS 10.6.8

    Thanks SO much, Spirit. Problem solved!

Similar Threads

  1. Qt Creator Xcode Project Crashing Xcode
    By cpsmusic in forum Qt Tools
    Replies: 0
    Last Post: 31st July 2012, 15:07
  2. macdeployqt/Mac OS/Xcode version compatibilities
    By scott_hollen in forum Qt Programming
    Replies: 1
    Last Post: 5th November 2011, 15:56
  3. Replies: 0
    Last Post: 14th September 2011, 03:59
  4. Replies: 5
    Last Post: 5th October 2008, 06:12

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Digia, Qt and their respective logos are trademarks of Digia Plc in Finland and/or other countries worldwide.